Summary:	Open source MSX emulator
Name:		openmsx
Version:	0.7.0
Release:	%{mkrel 2}
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		openmsx_fix_config.patch
License:	GPL+
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://openmsx.sourceforge.net/
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	libpng-devel
BuildRequires:	libxml2-devel
BuildRequires:	tcl-devel libjack-devel glew-devel libSDL_ttf-devel

%description
The open source MSX emulator that tries to achieve
near-perfect emulation by using a novel emulation model.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}

# install bin files
install -d %{buildroot}%{_bindir}
   cp derived/*/bin/openmsx %{buildroot}%{_bindir}/openmsx

# install c-bios
install -d %{buildroot}%{_datadir}/openMSX/share/machines
   cp -r share/ %{buildroot}%{_datadir}/openMSX/
   cp -r Contrib/cbios/C-BIOS_MSX1/ %{buildroot}%{_datadir}/openMSX/share/machines/
   cp -r Contrib/cbios/C-BIOS_MSX2/ %{buildroot}%{_datadir}/openMSX/share/machines/
   cp -r Contrib/cbios/C-BIOS_MSX2+/ %{buildroot}%{_datadir}/openMSX/share/machines/

# menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/openmsx
Icon=emulators_section
Name=Openmsx
Comment=%{summary}
Categories=Emulator;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog GPL README doc/*
%{_bindir}/openmsx
%{_datadir}/openMSX/share/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Thu Jan 15 2009 Zombie Ryushu <ryushu@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 329756
- Fix ttf Build requires
- Fix ttf Build requires
- Fix glew Build requires
- Fix glew Build requires
- Upgrade to version 0.7.0
- Upgrade to version 0.7.0

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.3-2mdv2009.1
+ Revision: 311083
- rebuild for new tcl
- new license policy
- spec clean

* Tue Nov 11 2008 Zombie Ryushu <ryushu@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 302123
- New Version 0.6.3
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-2mdv2008.1
+ Revision: 142304
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- do not package no more existing TODO
- new release
- Import openmsx

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild




* Mon Aug 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.1-1mdv2007.0
- new release

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 0.6.0-3mdk
- fix some buildrequires

* Mon May 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-2mdk
- fix buildrequires for x86_64
- drop explicit requires (they're already automatically found by spec-helper
  anyway)

* Sun Jan 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.0-1mdk
- new release

* Sun Jul 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-1ut
- new release

* Mon Mar 21 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.1-1ut
- first spec for Mandrakelinux
